Bug 749154 - Ovirt User and Group ID reservation request
Ovirt User and Group ID reservation request
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 749192
  Show dependency treegraph
 
Reported: 2011-10-26 06:33 EDT by Ronen Angluster
Modified: 2016-04-26 22:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 749192 (view as bug list)
Environment:
Last Closed: 2011-11-11 07:13:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ronen Angluster 2011-10-26 06:33:15 EDT
Description of problem:
As a part of ovirt-engine development, we need a specific user and group
in Fedora in order to setup the ovirt-engine agent properly.

Expected results:
1. user / group name: ovirt / ovirt
2. home directory: /home/ovirt
Comment 1 Ondrej Vasik 2011-10-27 04:47:36 EDT
I see ovirt group and user already registered in setup uidgid file... Is there some kind of modification required? 

Note:  "/" or something under "/var/" dir is better option for home directory of system accounts. They should not be in "/home/"

See setup changelog:
* Tue Sep 08 2009 Ondrej Vasik <ovasik@redhat.com> 2.8.9-1
- reserve uidgid pair 108:108 for ovirt from libvirt (#513261)
...
Comment 2 Ondrej Vasik 2011-10-27 05:00:29 EDT
Please note that the safest way is something like:

getent group ovirt > /dev/null || /usr/sbin/groupadd -g 108 -r ovirt
getent passwd ovirt > /dev/null || /usr/sbin/useradd -r -u 108 -g ovirt \
       -c "ovirt user" -d / -s /sbin/nologin ovirt
Comment 3 Alan Pevec 2011-10-29 12:01:35 EDT
> in order to setup the ovirt-engine agent properly

By "ovirt-engine agent" you mean VDSM (rhev management agent on host) or something else?
There's already "vdsm" user reserved.
Comment 4 Ondrej Vasik 2011-11-11 07:13:53 EST
Closing worksforme as this pair was already reserved...

Note You need to log in before you can comment on or make changes to this bug.